%global enable_tests 1
%global srcname tough-cookie

%global commit0 c11a2d11d12348a35ef595c809e30e641a804a7d
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           nodejs-%{srcname}
Version:        2.3.1
Release:        1%{?dist}
Summary:        RFC6265 Cookies and Cookie Jar for Node.js
# The entire source is BSD except for "public_suffix_list.dat" which is MPLv2.0
# and "lib/pubsuffix.js" which is partially MPLv2.0 and BSD
License:        BSD and MPLv2.0
URL:            https://github.com/SalesforceEng/tough-cookie
Source0:        https://github.com/SalesforceEng/%{srcname}/archive/%{commit0}.tar.gz#/%{srcname}-%{shortcommit0}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(async)
BuildRequires:  npm(string.prototype.repeat)
BuildRequires:  npm(vows)
%endif

%description
%{summary}.

%prep
%setup -qn %{srcname}-%{commit0}
rm -rf node_modules

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json lib/ \
     %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
vows --spec test/*_test.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Wed Jul 27 2016 Piotr Popieluch <piotr1212@gmail.com> - - 2.3.1-1
- Update to 2.3.1

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Oct 24 2015 Piotr Popieluch <piotr1212@gmail.com> - 2.2.0-1
- Initial package
